'use strict';

var _scope = require('./scope');

var _scope2 = _interopRequireDefault(_scope);

var _looksLike = require('./utils/looks-like');

var _looksLike2 = _interopRequireDefault(_looksLike);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = babel => {
  const { template, types } = babel;
  return {
    name: 'console',
    visitor: {
      CallExpression(path) {
        const isConsoleScope = (0, _looksLike2.default)(path, {
          node: {
            callee: {
              type: 'MemberExpression',
              object: {
                name: 'console'
              },
              property: {
                name: 'scope'
              }
            }
          }
        });

        if (!isConsoleScope) {
          return;
        }

        const scope = (0, _scope2.default)(path, template, types);

        path.replaceWithMultiple(scope);
      }
    }
  };
};